package a3test.etc;

import jp.sourceforge.acerola3d.a3.*;

/*
 * 条件が2つ。
 * a3がA3CanvasInterfaceに追加される前にsetShapeしなければならない。
 * CATALOG.XMLにおいてpタグで指定している骨でしか設定できない。
 */
public class OverwriteShape {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        w.setNavigationMode(A3CanvasInterface.NaviMode.EXAMINE);
        Action3D a3 = new Action3D("x-res:///vesma9.a3");
        a3.setLoc(0.0,-0.5,0.0);

        VRML vrml = new VRML("x-res:///adviser.wrl");
        vrml.setScale(3.0);
        a3.setShape("default","body",vrml.getNode());

        w.add(a3);
    }
}
